#!/bin/bash

# change to the directory the script is in
G2X_BASEDIR=`dirname "$0"`
cd "$G2X_BASEDIR"

# shared code
. files/shared.sh

initialTest

echo -e "\n\nChecking for connected device..."
ensureDevice

if isRooted; then
    echo -e "\nYou appear to be rooted already.\n"
    read -n 1 -p "Press y to attempt root anyway, press any other key to quit: " CONTINUE
    if [[ $CONTINUE != "y" && $CONTINUE != "Y" ]]; then
        exit 1;
    fi
    echo ""
fi

checkForExitEarly

pushAndRunPsneuter

echo "Waiting for device..."
sleep 10

ensureDevice

#
# TODO: verify root available
#

echo "Remounting /system read/write..."
$ADB remount

echo "Pushing su to /system/bin/su..."
$ADB push files/su /system/bin/su
$ADB shell 'chmod 4755 /system/bin/su'

echo "Pushing busybox to /system/bin/busybox..."
$ADB push files/busybox /system/bin/busybox
$ADB shell 'chmod 4755 /system/bin/busybox'

echo "Installing Superuser.apk android application..."
$ADB push files/Superuser.apk /system/app/Superuser.apk

echo "Removing psneuter from device..."
removePsneuter

echo -e "\nRebooting device..."
$ADB reboot



echo -e "\nOnce device has rebooted you should be rooted."

read -p "Press Enter when you're ready to quit: "
