#!/bin/bash

# change to the directory the script is in
G2X_BASEDIR=`dirname "$0"`
cd "$G2X_BASEDIR"

# shared code
. files/shared.sh

initialTest

echo -e "\n\nChecking for connected device..."
ensureDevice

if ! isRooted; then
    echo -e "\nYou don't appear to be rooted.\n"
    read -n 1 -p "Press y to attempt unroot anyway, press any other key to quit: " CONTINUE
    if [[ $CONTINUE != "y" && $CONTINUE != "Y" ]]; then
        exit 1;
    fi
    echo ""
fi

checkForExitEarly

pushAndRunPsneuter

echo "Waiting for device..."
sleep 10

ensureDevice

echo "Remounting /system read/write..."
$ADB remount

echo "Removing su and busybox..."
$ADB shell 'rm /system/bin/su && rm /system/bin/busybox'

echo "Removing Superuser.apk..."
$ADB shell 'rm /system/app/Superuser.apk'

echo "Removing psneuter..."
removePsneuter

echo -e "\nRebooting device..."
$ADB reboot

echo -e "\nOnce device has rebooted you should be unrooted."

read -p "Press Enter when you're ready to quit: "
